## neutron 26.0.0~b2+git2025030311.1ddcb3e890

=== debian/changelog ===
neutron (2:26.0.0~b2+git2025030311.1ddcb3e890-0ubuntu1) plucky; urgency=medium

  * New upstream release for OpenStack Epoxy.
  * Remove linuxbridge support, dropped upstream:
    - d/control: Drop neutron-linuxbridge-agent package.
    - d/rules: Drop misc systemd configuration handling for linuxbridge
      cleanup configuration.
    - d/mans/neutron-linuxbridge-agent.8: Drop, no longer needed.
    - d/neutron-common.install: Drop install of linuxbridge_agent.ini.
    - d/neutron-common.manpages: Drop install of neutron-linuxbridge-agent.8.
    - d/neutron-{plugin-}linuxbridge-agent.*: Drop packaging files for
      neutron-linuxbridge-agent package.

 -- James Page <james.page@ubuntu.com>  Wed, 05 Mar 2025 09:49:17 +0000

neutron (2:26.0.0~b2+git2025011509.585ea689d5-0ubuntu2) plucky; urgency=medium

  [ Myles Penner ]
  * Add new neutron-rpc-server and neutron-api packages (LP: #2085620):
    - d/control: Add new binary packages for -rpc-server and -api
    - d/neutron-rpc-server.init.in: Add init system template for rpc-server.
    - d/neutron-api.conf: Create config file for mod_wsgi.
    - d/neutron-api.apache2: Reference d/neutron.conf for config.

  [ James Page ]
  * d/control,neutron-ovn-maintenance-worker.init.in: Add new package
    for the standalone OVN maintenance worker.
  * d/tests/control,neutron-api: Add new autopkgtest for API plus
    standalone worker daemons.
  * d/neutron-common.default: Provide ML2 plugin configuration file for
    split worker daemons from neutron-common package.
  * d/control,neutron-periodic-workers.init.in: Add binary package and
    init configuration for neutron-periodic-workers daemon.

 -- Myles Penner <myles.penner@canonical.com>  Mon, 10 Feb 2025 16:54:38 +0000

=== debian/control ===
Source: neutron
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends:
 debhelper-compat (= 13),
 dh-apache2,
 dh-python,
 apache2-dev,
 openstack-pkg-tools (>= 119ubuntu1~),
 python3-all,
 python3-pbr (>= 4.0.0),
 python3-setuptools,
Build-Depends-Indep:
 crudini,
 iproute2,
 python3-alembic (>= 1.6.5),
 python3-astroid (>= 2.3.3),
 python3-bandit (>= 1.1.0),
 python3-bashate (>= 0.5.1),
 python3-ddt (>= 1.2.1),
 python3-debtcollector (>= 1.19.0),
 python3-decorator (>= 4.1.0),
 python3-designateclient (>= 2.7.0),
 python3-eventlet (>= 0.36.1),
 python3-fixtures (>= 3.0.0),
 python3-futurist (>= 1.2.0),
 python3-hacking,
 python3-httplib2 (>= 0.22.0),
 python3-isort (>= 4.3.21),
 python3-jinja2 (>= 2.10),
 python3-keystoneauth1 (>= 3.14.0),
 python3-keystonemiddleware (>= 5.1.0),
 python3-netaddr (>= 0.7.18),
 python3-netifaces (>= 0.10.4),
 python3-neutron-lib (>= 3.16.0),
 python3-neutronclient (>= 1:7.8.0),
 python3-novaclient (>= 2:9.1.0),
 python3-openssl (>= 17.1.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-openstacksdk (>= 0.31.2),
 python3-openvswitch (>= 2.12.0),
 python3-os-ken (>= 2.11.2),
 python3-os-resource-classes (>= 1.1.0),
 python3-os-testr (>= 1.0.0),
 python3-os-vif (>= 3.1.0),
 python3-oslo.cache (>= 1.26.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:9.4.0),
 python3-oslo.context (>= 1:2.22.0),
 python3-oslo.db (>= 4.44.0),
 python3-oslo.i18n (>= 3.20.0),
 python3-oslo.log (>= 5.3.0),
 python3-oslo.messaging (>= 7.0.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 4.5.0),
 python3-oslo.privsep (>= 2.3.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.rootwrap (>= 5.15.0),
 python3-oslo.serialization (>= 5.5.0),
 python3-oslo.service (>= 3.5.0),
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils (>= 7.3.0),
 python3-oslo.versionedobjects (>= 1.35.1),
 python3-oslotest (>= 1:3.2.0),
 python3-osprofiler (>= 2.3.0),
 python3-ovsdbapp (>= 2.7.1),
 python3-paste (>= 2.0.2),
 python3-pastedeploy (>= 1.5.0),
 python3-pecan (>= 1.4.0),
 python3-psutil (>= 5.3.0),
 python3-pycodestyle (>= 2.0.0),
 python3-pymysql (>= 0.7.6),
 python3-pyroute2 (>= 0.7.3),
 python3-requests (>= 2.32.3),
 python3-routes (>= 2.3.1),
 python3-sphinx (>= 2.2.0),
 python3-sphinx-feature-classification (>= 1.0.0),
 python3-sqlalchemy (>= 1.4.23),
 python3-stestr (>= 1.0.0),
 python3-stevedore (>= 1:2.0.1),
 python3-subunit (>= 1.0.0),
 python3-tempest (>= 1:16.1.0),
 python3-tenacity (>= 6.0.0),
 python3-testrepository (>= 0.0.18),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-tooz (>= 1.58.0),
 python3-webob (>= 1:1.8.2),
 python3-webtest (>= 2.0.27),
 rename,
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/neutron
Homepage: https://opendev.org/openstack/neutron

Package: neutron-api
Architecture: all
Depends:
 apache2 | httpd,
 libapache2-mod-wsgi-py3,
 python3-neutron (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: Neutron is a virtual network service for Openstack - API
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 python-pbr (>= 2.0.0),
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the Neutron API server.

Package: neutron-common
Architecture: all
Depends:
 adduser,
 ipset,
 ${misc:Depends},
 ${python3:Depends},
Description: Neutron is a virtual network service for Openstack - common
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 python-pbr (>= 2.0.0),
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the common files.

Package: neutron-dhcp-agent
Architecture: all
Depends:
 dnsmasq-base (>= 2.76),
 dnsmasq-utils (>= 2.76),
 neutron-metadata-agent (= ${source:Version}),
 python3-neutron (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Neutron is a virtual network service for Openstack - DHCP agent
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the DHCP agent.

Package: neutron-l3-agent
Architecture: all
Depends:
 conntrack,
 iputils-arping,
 keepalived,
 neutron-metadata-agent (= ${source:Version}),
 python3-neutron (= ${source:Version}),
 radvd,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Neutron is a virtual network service for Openstack - l3 agent
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the layer 3 routing agent.

Package: neutron-macvtap-agent
Architecture: all
Depends:
 python3-neutron (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Neutron is a virtual network service for Openstack - Macvtap L2 Agent
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the Macvtap L2 Agent.

Package: neutron-metadata-agent
Architecture: all
Depends:
 haproxy,
 python3-neutron (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Neutron is a virtual network service for Openstack - metadata agent
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the metadata proxy agent.

Package: neutron-metering-agent
Architecture: all
Depends:
 python3-neutron (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Neutron is a virtual network service for Openstack - metering agent
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the metering agent.

Package: neutron-openvswitch-agent
Architecture: all
Depends:
 conntrack,
 openvswitch-switch,
 python3-neutron (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Neutron is a virtual network service for Openstack - Open vSwitch plugin agent
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the Open vSwitch plugin agent.

Package: neutron-ovn-agent
Architecture: all
Depends:
 python3-neutron (= ${source:Version}),
 sudo,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack virtual network service - OVN agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the OVN agent.

Package: neutron-ovn-maintenance-worker
Architecture: all
Depends:
 python3-neutron (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Conflicts:
 neutron-server,
Description: Neutron is a virtual network service for Openstack - OVN maintenance worker
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the OVN maintenance worker and should be used
 when running Neutron API under WSGI for OVN deployments.

Package: neutron-ovn-metadata-agent
Architecture: all
Depends:
 haproxy,
 openvswitch-switch,
 python3-neutron (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Neutron is a virtual network service for Openstack - OVN metadata agent
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the OVN metadata proxy agent.

Package: neutron-periodic-workers
Architecture: all
Depends:
 python3-neutron (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Conflicts:
 neutron-server,
Description: Neutron is a virtual network service for Openstack - Neutron periodic workers
 Neutron is a virtual network service for Openstack, and a part of

## neutron 26.0.0

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.
pbr>=4.0.0 # Apache-2.0

Paste>=2.0.2 # MIT
PasteDeploy>=1.5.0 # MIT
Routes>=2.3.1 # MIT
debtcollector>=1.19.0 # Apache-2.0
decorator>=4.1.0 # BSD
eventlet>=0.36.1 # MIT
pecan>=1.4.0 # BSD
httplib2>=0.22.0 # MIT
requests>=2.32.3 # Apache-2.0
Jinja2>=2.10 # BSD License (3 clause)
keystonemiddleware>=5.1.0 # Apache-2.0
netaddr>=0.7.18 # BSD
neutron-lib>=3.17.0 # Apache-2.0
python-neutronclient>=7.8.0 # Apache-2.0
tenacity>=6.0.0 # Apache-2.0
SQLAlchemy>=1.4.23 # MIT
WebOb>=1.8.2 # MIT
keystoneauth1>=3.14.0 # Apache-2.0
alembic>=1.6.5 # MIT
stevedore>=2.0.1 # Apache-2.0
oslo.cache>=1.26.0 # Apache-2.0
oslo.concurrency>=3.26.0 # Apache-2.0
oslo.config>=9.4.0 # Apache-2.0
oslo.context>=2.22.0 # Apache-2.0
oslo.db>=4.44.0 # Apache-2.0
oslo.i18n>=3.20.0 # Apache-2.0
oslo.log>=5.3.0 # Apache-2.0
oslo.messaging>=7.0.0 # Apache-2.0
oslo.middleware>=3.31.0 # Apache-2.0
oslo.policy>=4.5.0 # Apache-2.0
oslo.privsep>=2.3.0 # Apache-2.0
oslo.reports>=1.18.0 # Apache-2.0
oslo.rootwrap>=5.15.0 # Apache-2.0
oslo.serialization>=5.5.0 # Apache-2.0
oslo.service>=3.5.0 # Apache-2.0
oslo.upgradecheck>=1.3.0 # Apache-2.0
oslo.utils>=7.3.0 # Apache-2.0
oslo.versionedobjects>=1.35.1 # Apache-2.0
osprofiler>=2.3.0 # Apache-2.0
os-ken>=3.0.0 # Apache-2.0
os-resource-classes>=1.1.0 # Apache-2.0
ovs>=2.12.0 # Apache-2.0
ovsdbapp>=2.11.0 # Apache-2.0
psutil>=6.1.0 # BSD
pyroute2>=0.7.3;sys_platform!='win32' # Apache-2.0 (+ dual licensed GPL2)
pyOpenSSL>=17.1.0 # Apache-2.0

python-novaclient>=9.1.0 # Apache-2.0
openstacksdk>=0.31.2 # Apache-2.0
python-designateclient>=2.7.0 # Apache-2.0
os-vif>=3.1.0 # Apache-2.0
futurist>=1.2.0 # Apache-2.0
tooz>=1.58.0 # Apache-2.0

=== debian/changelog ===
neutron (2:26.0.0-0ubuntu1) plucky; urgency=medium

  [ Guillaume Boutry ]
  * d/watch: Track Epoxy series releases.

  [ Myles Penner ]
  * New upstream release for OpenStack Epoxy.
  * d/control: Align (Build-)Depends with upstream.
  * d/tests: Flush tables prior to neutron-api autopkgtest

 -- Myles Penner <myles.penner@canonical.com>  Thu, 03 Apr 2025 13:26:13 -0700

=== debian/control ===
--- 
+++ 
@@ -34,14 +34,14 @@
  python3-keystonemiddleware (>= 5.1.0),
  python3-netaddr (>= 0.7.18),
  python3-netifaces (>= 0.10.4),
- python3-neutron-lib (>= 3.16.0),
+ python3-neutron-lib (>= 3.17.0),
  python3-neutronclient (>= 1:7.8.0),
  python3-novaclient (>= 2:9.1.0),
  python3-openssl (>= 17.1.0),
  python3-openstackdocstheme (>= 2.2.1),
  python3-openstacksdk (>= 0.31.2),
  python3-openvswitch (>= 2.12.0),
- python3-os-ken (>= 2.11.2),
+ python3-os-ken (>= 3.0.0),
  python3-os-resource-classes (>= 1.1.0),
  python3-os-testr (>= 1.0.0),
  python3-os-vif (>= 3.1.0),
@@ -65,7 +65,7 @@
  python3-oslo.versionedobjects (>= 1.35.1),
  python3-oslotest (>= 1:3.2.0),
  python3-osprofiler (>= 2.3.0),
- python3-ovsdbapp (>= 2.7.1),
+ python3-ovsdbapp (>= 2.11.0),
  python3-paste (>= 2.0.2),
  python3-pastedeploy (>= 1.5.0),
  python3-pecan (>= 1.4.0),

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=neutron

SHELL := /bin/sh -e

DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/[+].*//' -e 's/~git.*//g' -e 's/~/./g')
export PBR_VERSION=$(VERSION)

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@  --with apache2,python3 --buildsystem=pybuild


override_dh_install:
	rm -rf $(CURDIR)/debian/python3-neutron/usr/etc/neutron
	PYTHONPATH=$(CURDIR) $(CURDIR)/tools/generate_config_file_samples.sh
	find $(CURDIR)/etc -type f | xargs rename 's/\.sample$$//'
	crudini --merge $(CURDIR)/etc/neutron.conf < $(CURDIR)/debian/neutron.conf.defaults
	crudini --merge $(CURDIR)/etc/neutron_ovn_metadata_agent.ini < $(CURDIR)/debian/neutron_ovn_metadata_agent.ini.defaults
	dh_install
	dh_missing --fail-missing -X/usr/etc

override_dh_installsystemd:
	dh_installsystemd \
		-pneutron-openvswitch-agent --name=neutron-ovs-cleanup \
		--no-start --no-stop-on-upgrade --no-restart-after-upgrade \
		neutron-ovs-cleanup.service
	dh_installsystemd -Xneutron-ovs-cleanup.service

override_dh_installinit:
	dh_installinit \
		-pneutron-openvswitch-agent --name=neutron-ovs-cleanup \
		--no-start --no-stop-on-upgrade
	dh_installinit -Xneutron-ovs-cleanup \
		--error-handler=true

override_dh_auto_clean:
	dh_auto_clean
	rm -f debian/*.upstart debian/*.init debian/*.service .testrepository

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	OS_TEST_TIMEOUT=180 OS_LOG_CAPTURE=true OS_STDOUT_CAPTURE=true OS_STDERR_CAPTURE=true \
	PYTHONWARNINGS=default::DeprecationWarning,ignore::DeprecationWarning:distutils,ignore::DeprecationWarning:site \
	pkgos-dh_auto_test --no-py2
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/tests/control ===
Tests:
 neutron-server neutron-agents,
Depends:
 mysql-server,
 neutron-server,
 rabbitmq-server,
Restrictions:
 needs-root allow-stderr needs-recommends,

Tests:
 neutron-api,
Depends:
 crudini,
 mysql-server,
 neutron-api,
 neutron-ovn-maintenance-worker,
 neutron-periodic-workers,
 neutron-rpc-server,
 ovn-central,
 rabbitmq-server,
Restrictions:
 needs-root allow-stderr needs-recommends,

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/neutron/ neutron-(26\.\d.*)\.tar\.gz

## neutron 26.0.1

=== debian/changelog ===
neutron (2:26.0.1-1~bpo13+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.
  * Removed patches applied upstream:
    - Add_state_reporting_back_to_metadata_agents.patch
    - Fix_LoopingCallBase_argument_issue.patch

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@trixie-epoxy.debian.net>  Tue, 23 Sep 2025 09:56:12 +0000

neutron (2:26.0.0-9) unstable; urgency=medium

  * Replace Add_state_reporting_back_to_metadata_agents.patch by a version
    that's been backported by upstream. Otherwise, there's some issues.

 -- Thomas Goirand <zigo@debian.org>  Sun, 13 Jul 2025 17:16:33 +0200

neutron (2:26.0.0-8) unstable; urgency=medium

  * Add export OS_OSLO_MESSAGING_RABBIT__PROCESSNAME for all daemons.

 -- Thomas Goirand <zigo@debian.org>  Fri, 11 Jul 2025 14:19:05 +0200

neutron (2:26.0.0-7) unstable; urgency=medium

  * Add patches:
    - Add_state_reporting_back_to_metadata_agents.patch
    - Fix_LoopingCallBase_argument_issue.patch

 -- Thomas Goirand <zigo@debian.org>  Tue, 08 Jul 2025 17:54:19 +0200

neutron (2:26.0.0-6) unstable; urgency=medium

  * Fix KillMode and not killmode in neutron-l3-agent.service.

 -- Thomas Goirand <zigo@debian.org>  Wed, 25 Jun 2025 14:04:36 +0200

neutron (2:26.0.0-5) unstable; urgency=medium

  * Add CUSTOM_SYSTEMD_SERVICE_DIRECTIVES="killmode=process" to be able to
    gracefully restart neutron-l3-agent.
  * Removed non-active maintainers from d/control.

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Jun 2025 15:22:02 +0200

neutron (2:26.0.0-4) unstable; urgency=medium

  * Fix breaks that should be using binary packages, not source.
  * Configure default uwsgi configuration file so that neutron-api doesn't use
    threads anymore, which was broken with OVN config (Closes: #1093303).

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Apr 2025 13:44:34 +0200

neutron (2:26.0.0-3) unstable; urgency=medium

  * Add more Breaks:
    - networking-bgpvpn (<< 22.0.0~)
    - networking-l2gw (<< 1:21.0.0~)

 -- Thomas Goirand <zigo@debian.org>  Mon, 28 Apr 2025 10:28:23 +0200

neutron (2:26.0.0-2) unstable; urgency=medium

  * Add Breaks: neutron-dynamic-routing (<< 2:26.0.0~) in python3-neutron.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Apr 2025 14:40:24 +0200

neutron (2:26.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Apr 2025 12:55:03 +0200

neutron (2:26.0.0~rc2-1) unstable; urgency=medium

  * New upstream point release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 31 Mar 2025 10:20:59 +0200

neutron (2:26.0.0~rc1-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 15:39:22 +0100

neutron (2:26.0.0~rc1-2) experimental; urgency=medium

  * Add debian/neutron-l3-agent.logrotate.

 -- Thomas Goirand <zigo@debian.org>  Tue, 25 Mar 2025 09:56:40 +0100

neutron (2:26.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed applied upstream patches:
    - Add-policy-enforcer-for-QoS-policy-tags-service-plugin.patch
    - CVE-2024-53916_Fix-the-tagging-policy-engine.patch
  * Removed from neutron-common.install:
    - usr/bin/ovn_migration.sh
    - usr/share/ansible/neutron-ovn-migration
  * Fix startup setting wrong group ownership of /var/log/neutron (ie: it was
    neutron instead of adm).

 -- Thomas Goirand <zigo@debian.org>  Thu, 20 Mar 2025 17:00:11 +0100

## neutron 26.0.1+git2025070714.71962255de

=== requirements.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Requirements lower bounds listed here are our best effort to keep them up to
 # date but we do not test them so no guarantee of having them all correct. If
 # you find any incorrect lower bounds, let us know or propose a fix.
-pbr>=4.0.0 # Apache-2.0
+pbr>=6.0.0 # Apache-2.0
 
 Paste>=2.0.2 # MIT
 PasteDeploy>=1.5.0 # MIT
@@ -37,14 +37,14 @@
 oslo.reports>=1.18.0 # Apache-2.0
 oslo.rootwrap>=5.15.0 # Apache-2.0
 oslo.serialization>=5.5.0 # Apache-2.0
-oslo.service>=3.5.0 # Apache-2.0
+oslo.service[threading]>=4.2.1 # Apache-2.0
 oslo.upgradecheck>=1.3.0 # Apache-2.0
 oslo.utils>=7.3.0 # Apache-2.0
 oslo.versionedobjects>=1.35.1 # Apache-2.0
 osprofiler>=2.3.0 # Apache-2.0
 os-ken>=3.0.0 # Apache-2.0
 os-resource-classes>=1.1.0 # Apache-2.0
-ovs>=2.12.0 # Apache-2.0
+ovs>3.3.0 # Apache-2.0
 ovsdbapp>=2.11.0 # Apache-2.0
 psutil>=6.1.0 # BSD
 pyroute2>=0.7.3;sys_platform!='win32' # Apache-2.0 (+ dual licensed GPL2)

=== debian/changelog ===
neutron (2:26.0.1+git2025070714.71962255de-0ubuntu2) questing; urgency=medium

  * d/neutron_sudoers: Drop override causing compatibility issues with
    sudo-rs. (LP: #2120708)
  * d/control: Ensure ml2 plugin has openvswitch-common dependency.
  * Transition neutron-server to dummy package:
    - d/control: Replace neutron-server with neutron-rpc-server,
      neutron-api, and neutron-periodic-workers.
    - d/control: Remove conflicts between neutron-periodic-workers and
      neutron-server.
    - d/neutron-server.*: Drop service definitions.
    - d/t/neutron-server: Drop autopkgtest.
    - d/tests/control: Update test dependencies.

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Tue, 19 Aug 2025 15:00:19 +0200

neutron (2:26.0.1+git2025070714.71962255de-0ubuntu1) questing; urgency=medium

  [ Guillaume Boutry ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    flamingo.

  [ Myles Penner ]
  * New upstream release for OpenStack Flamingo. (LP: #2116155)
  * d/s/options: Ignore .launchpad.yaml when generating diffs. 
  * d/rules: Cleanup /debian/python3-neutron/usr/etc

 -- Myles Penner <myles.penner@canonical.com>  Thu, 17 Jul 2025 09:22:27 -0700

## neutron 26.0.2

=== debian/changelog ===
neutron (2:26.0.2-1~bpo13+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@trixie-epoxy.debian.net>  Wed, 05 Nov 2025 09:43:28 +0000

neutron (2:26.0.1-1) UNRELEASED; urgency=medium

  * New upstream release.
  * Removed patches applied upstream:
    - Add_state_reporting_back_to_metadata_agents.patch
    - Fix_LoopingCallBase_argument_issue.patch

 -- Thomas Goirand <zigo@debian.org>  Tue, 23 Sep 2025 11:43:42 +0200

## neutron 27.0.0~rc1

=== debian/changelog ===
neutron (2:27.0.0~rc1-2~bpo13+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@trixie-flamingo.debian.net>  Mon, 29 Sep 2025 07:43:49 +0000

neutron (2:27.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Sep 2025 00:14:23 +0200

neutron (2:27.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release, plus removed versions of
    (build-)depends when satisfied in Trixie.
  * Removed patches applied upstream:
    - Add_state_reporting_back_to_metadata_agents.patch
    - Fix_LoopingCallBase_argument_issue.patch

 -- Thomas Goirand <zigo@debian.org>  Fri, 12 Sep 2025 15:14:35 +0200

## neutron 27.0.0

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXSOURCE  = source
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) $(SPHINXSOURCE)

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

.DEFAULT_GOAL   = html

help:
    @echo "Please use \`make <target>' where <target> is one of"
    @echo "  html      to make standalone HTML files"
    @echo "  dirhtml   to make HTML files named index.html in directories"
    @echo "  pickle    to make pickle files"
    @echo "  json      to make JSON files"
    @echo "  htmlhelp  to make HTML files and a HTML help project"
    @echo "  qthelp    to make HTML files and a qthelp project"
    @echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
    @echo "  changes   to make an overview of all changed/added/deprecated items"
    @echo "  linkcheck to check all external links for integrity"
    @echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
    -rm -rf $(BUILDDIR)/*
    if [ -f .autogenerated ] ; then \
        cat .autogenerated | xargs rm ; \
        rm .autogenerated ; \
    fi

html:
    $(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
    @echo
    @echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
    $(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
    @echo
    @echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
    $(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
    @echo
    @echo "Build finished; now you can process the pickle files."

json:
    $(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
    @echo
    @echo "Build finished; now you can process the JSON files."

htmlhelp:
    $(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
    @echo
    @echo "Build finished; now you can run HTML Help Workshop with the" \
          ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
    $(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
    @echo
    @echo "Build finished; now you can run "qcollectiongenerator" with the" \
          ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
    @echo "# qcollectiongenerator $(BUILDDIR)/qthelp/nova.qhcp"
    @echo "To view the help file:"
    @echo "# assistant -collectionFile $(BUILDDIR)/qthelp/nova.qhc"

latex:
    $(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
    @echo
    @echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
    @echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
          "run these through (pdf)latex."

changes:
    $(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
    @echo
    @echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
    $(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
    @echo
    @echo "Link check complete; look for any errors in the above output " \
          "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
    $(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
    @echo "Testing of doctests in the sources finished, look at the " \
          "results in $(BUILDDIR)/doctest/output.txt."

=== doc/requirements.txt ===
sphinx>=2.2.0 # BSD
sphinx_feature_classification>=1.0.0 # Apache-2.0
openstackdocstheme>=2.2.1 # Apache-2.0
oslotest>=3.2.0 # Apache-2.0
reno>=3.1.0 # Apache-2.0
WebTest>=2.0.27 # MIT
# NOTE(ralonsoh): pyroute2 module should be installed and the version limited
# according to upper-constraints.txt
pyroute2>=0.6.4;sys_platform!='win32' # Apache-2.0 (+ dual licensed GPL2)

=== tools/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
click>=7.0 # BSD
cliff>=3.10.1 # Apache-2.0
requests>=2.14.2 # Apache-2.0

=== neutron/tests/functional/requirements.txt ===
# Additional requirements for functional tests

# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

PyMySQL>=0.6.2  # MIT License

=== debian/changelog ===
neutron (2:27.0.0-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo (LP: #2125956).

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Wed, 01 Oct 2025 15:52:43 +0200

neutron (2:27.0.0~rc1-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo (LP: #2125012).
  * d/watch: Add Flamingo key verification.
  * d/u/signing-key.asc: Add Flamingo public key.

 -- Myles Penner <myles.penner@canonical.com>  Fri, 19 Sep 2025 15:23:09 -0700

=== debian/control ===
--- 
+++ 
@@ -326,7 +326,5 @@
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends},
-Conflicts:
- neutron-server,
 Description: Neutron is a virtual network service for Openstack - Neutron periodic workers
  Neutron is a virtual network service for Openstack, and a part of

=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 
 
 override_dh_install:
-	rm -rf $(CURDIR)/debian/python3-neutron/usr/etc/neutron
+	rm -rf $(CURDIR)/debian/python3-neutron/usr/etc/
 	PYTHONPATH=$(CURDIR) $(CURDIR)/tools/generate_config_file_samples.sh
 	find $(CURDIR)/etc -type f | xargs rename 's/\.sample$$//'
 	crudini --merge $(CURDIR)/etc/neutron.conf < $(CURDIR)/debian/neutron.conf.defaults

=== debian/tests/control ===
--- 
+++ 
@@ -1,8 +1,10 @@
 Tests:
- neutron-server neutron-agents,
+ neutron-agents,
 Depends:
  mysql-server,
- neutron-server,
+ neutron-api,
+ neutron-periodic-workers,
+ neutron-rpc-server,
  rabbitmq-server,
 Restrictions:
  needs-root allow-stderr needs-recommends,

=== debian/watch ===
version=3
opts=uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/,pgpsigurlmangle=s/$/.asc/ \
 https://tarballs.opendev.org/openstack/neutron/ neutron-(\d{1,2}\.\d.*)\.tar\.gz
